import { flags as commandFlags } from '@oclif/command';
import * as Listr from 'listr';
import BaseCommand from '../../base';
import { IParamsEditRepo, IRepoDescriptor } from '../../github';
export default class SetDefaultBranch extends BaseCommand {
    static description: string;
    static hidden: boolean;
    static args: {
        name: string;
        description: string;
        default: string;
        required: boolean;
    }[];
    static examples: string[];
    static flags: {
        filter: commandFlags.IOptionFlag<string>;
        'github-query': commandFlags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    run(): Promise<any>;
    readonly modifyRepos: (repos: IRepoDescriptor[]) => Promise<boolean>;
    readonly modifyRepo: (params: IParamsEditRepo, _task: Listr.ListrTaskWrapper) => Promise<any>;
}
