"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../../base");
const utils_1 = require("../../utils");
class ConfigInit extends base_1.default {
    async run() {
        return utils_1.promptForConfig.apply(this);
    }
}
ConfigInit.description = 'Prompt for data to create the required configuration file';
ConfigInit.aliases = ['init'];
ConfigInit.flags = Object.assign({}, base_1.default.flags);
exports.default = ConfigInit;
