export { dd } from 'dumper.js';
export declare const inspect: (obj: any) => string;
interface IDecorateRepoPathOptions {
    reset?: boolean;
    hyperlink?: boolean;
    basenameOnly?: boolean;
}
export declare function decorateRepoPath(repoPath: string, options?: IDecorateRepoPathOptions): string;
interface IConfigPrompt {
    reposDir?: string;
    authToken?: string;
    username?: string;
    server?: string;
    database?: string;
    maildrop?: string;
}
export declare function promptForConfig(): Promise<IConfigPrompt>;
export declare function getFileDateByFilenameOrGitAuthorDate(filepath: string): Promise<Date>;
