import BaseCommand from '../base';
export default class GetPath extends BaseCommand {
    static description: string;
    static aliases: string[];
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': import("@oclif/command/lib/flags").IOptionFlag<string>;
        'custom-repo-regex': import("@oclif/command/lib/flags").IOptionFlag<string>;
        'custom-repo-shortname-regex': import("@oclif/command/lib/flags").IOptionFlag<string>;
    };
    run(): Promise<any>;
    getCustomerDir: () => Promise<string>;
}
