import { flags as commandFlags } from '@oclif/command';
import BaseCommand from '../base';
export default class Link extends BaseCommand {
    static description: string;
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static examples: string[];
    static flags: {
        'use-junction': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        target: commandFlags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    run(): Promise<any>;
    getLinkTarget: () => Promise<string>;
    getPotentialCustomDirs: (customDir: string) => Promise<string>;
    makeLink(fromPath: any, toPath: any): Promise<any>;
}
