import { flags as commandFlags } from '@oclif/command';
import BaseCommand from '../base';
interface IChangeDbTaskContext {
    server: string;
    database: string;
    maildrop?: string;
}
export default class Reconfigure extends BaseCommand {
    static description: string;
    static aliases: string[];
    static flags: {
        'no-strip-bom': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        server: commandFlags.IOptionFlag<string>;
        database: commandFlags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    run(): Promise<any>;
    getConfigurationFiles: () => Promise<string[]>;
    getLinkedRepoRoot: () => Promise<string>;
    processFile: (filepath: string, ctx: IChangeDbTaskContext) => Promise<void>;
}
export {};
