import { flags as commandFlags } from '@oclif/command';
import BaseCommand from '../../base';
export default class SqlInrementals extends BaseCommand {
    static description: string;
    static aliases: string[];
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    static examples: string[];
    static flags: {
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        'no-use-linked': import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        core: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        archived: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        from: commandFlags.IOptionFlag<string>;
        server: commandFlags.IOptionFlag<string>;
        database: commandFlags.IOptionFlag<string>;
        instance: commandFlags.IOptionFlag<string>;
        username: commandFlags.IOptionFlag<string>;
        password: commandFlags.IOptionFlag<string>;
        postInstallScriptFileName: commandFlags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    conn: any;
    run(): Promise<void>;
    finally(): Promise<void>;
    getPostInstall: () => Promise<string>;
    getSqlScripts: (baseDir: string) => Promise<string[]>;
    getSqlDir: (baseDir: string, core: boolean) => Promise<string>;
    getCustomDirOrPrompt: () => Promise<string>;
}
