import { flags as commandFlags } from '@oclif/command';
import BaseCommand from '../base';
export default class Status extends BaseCommand {
    static description: string;
    static aliases: string[];
    static flags: {
        verbose: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        concurrency: commandFlags.IOptionFlag<number>;
        fetch: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        'core-repo-name': commandFlags.IOptionFlag<string>;
        'custom-repo-regex': commandFlags.IOptionFlag<string>;
        'custom-repo-shortname-regex': commandFlags.IOptionFlag<string>;
    };
    run(): Promise<any>;
    getRepoStatus: (repoPath: any) => Promise<string>;
}
